import type { NodePath, types as t } from '@babel/core';
export declare function name(value: t.Identifier | t.StringLiteral): string;
export type CallIdentifierExpression = t.CallExpression & {
    callee: t.Identifier;
};
export declare function isCallIdentifierExpression(exp: t.CallExpression): exp is CallIdentifierExpression;
export type CallStatementPath = NodePath<t.ExpressionStatement & {
    expression: CallIdentifierExpression;
}>;
export declare function isCallStatementPath(path: NodePath<t.ExpressionStatement>): path is CallStatementPath;
